var FormBlock_EntryPoint = 
{
    Set:
        function (baseID, func)
        {
            window["gFBEntry_" + baseID] = func ; 
        },
    Get:
        function (baseID)        
        {
            return window["gFBEntry_" + baseID] ; 
        },
    Reset:
        function (baseID)
        {
            window["gFBEntry_" + baseID] = null ;
        }                
} ;

function FormBlock_RegisterIFrame(baseID, entryPoint, frameID)
{
    return ; 
}

function FormBlock_PackageData(baseID)
{
    var retXml = "<FormEditor>" ; 

    retXml += tic_Utilities.PackageXml("FormData", formViewData, true) ;
    retXml += tic_Utilities.PackageXml("ThankYouData", followupViewData, true) ;
    retXml += tic_Utilities.PackageXml("ConfirmEmail", confirmEmailData, true) ;

    retXml += tic_Utilities.PackageXml("Name", document.getElementById(baseID + "_formName").value, true) ;
    retXml += tic_Utilities.PackageXml("Description", document.getElementById(baseID + "_formDescription").value, true) ;

    var idx = document.getElementById(baseID + "_xslPicker").selectedIndex;
    retXml += tic_Utilities.PackageXml("XslPath", document.getElementById(baseID + "_xslPicker")[idx].getAttribute("xsl"), true) ;    
    retXml += tic_Utilities.PackageXml("OnloadFunction", document.getElementById(baseID + "_onloadFunction").value, true) ;
    retXml += tic_Utilities.PackageXml("SubmitAction", Wkst_GetRadioValue(document.getElementById(baseID + "_submitAction_post").name), false);
    retXml += tic_Utilities.PackageXml("DoConfirm", document.getElementById(baseID + "_confirmationPage").checked?"1":"0", false) ;    
    retXml += tic_Utilities.PackageXml("UseCaptcha", document.getElementById(baseID + "_captchaSupport").checked?"1":"0", false) ;
    retXml += tic_Utilities.PackageXml("UseCaptchaPost", document.getElementById(baseID + "_captchaSupportPost").checked?"1":"0", false) ;
    retXml += tic_Utilities.PackageXml("FolderURL", document.getElementById(baseID + "_folderUrl").value, true) ;
    retXml += tic_Utilities.PackageXml("AltURL", document.getElementById(baseID + "_altURL").value, true) ;
    
    retXml += tic_Utilities.PackageXml("SourceEmail", document.getElementById(baseID + "_sourceEmail").value, true) ;
    retXml += tic_Utilities.PackageXml("Email", document.getElementById(baseID + "_formEmail").value, true) ;
    retXml += tic_Utilities.PackageXml("PostSubmit", Wkst_GetRadioValue(document.getElementById(baseID + "_postSubmit_page").name), false);
    
    retXml += tic_Utilities.PackageXml("FollowupURL", document.getElementById(baseID + "_followupUrl").value, true) ;
    retXml += tic_Utilities.PackageXml("EmailFields", (document.getElementById(baseID + "_fieldsToSend").getAttribute("value")?document.getElementById(baseID + "_fieldsToSend").getAttribute("value"):""), true) ;
    retXml += tic_Utilities.PackageXml("ReportFields", (document.getElementById(baseID + "_reportFields").getAttribute("value")?document.getElementById(baseID + "_reportFields").getAttribute("value"):""), true) ;
    
    retXml += tic_Utilities.PackageXml("SendUserEmail", document.getElementById(baseID + "_sendUserEmail").checked?"1":"0", false) ;
    retXml += tic_Utilities.PackageXml("UserEmailSubject", document.getElementById(baseID + "_userEmailSubject").value, true) ;
    retXml += tic_Utilities.PackageXml("UserEmail", document.getElementById(baseID + "_userEmailField").value, true) ;
    
    retXml += FormBlock_PackageFields(baseID);
    
    retXml += "</FormEditor>";
    return retXml ;        
}

function FormBlock_HasFileUploadData(baseID)
{
    if (g_newFields)    
    {
        for (var fieldName in g_newFields)
            if (g_newFields[fieldName].type == "file")
                return true;
    }            
    else
    {
        var fieldData = document.getElementById(baseID + "_originalFieldData").value;
        return (fieldData.indexOf("type=\"file\"") >= 0 || fieldData.indexOf("type='file'") >= 0)
    }           
}

function FormBlock_ValidateData(baseID)
{
    var infoText = document.getElementById(baseID + "_infoText") ;
    tic_FormUtilities.HideField(infoText);
    infoText.innerHTML = "" ;
    
    var retVal = true ; 
    if (!SFEditFieldHasValue(baseID + "_formName"))
    {
        infoText.innerHTML += "You must provide a name for your form<br />" ; 
        tic_FormUtilities.ShowField(infoText);        
        retVal = false ;
    }
    
    var bUploadControl = FormBlock_HasFileUploadData(baseID);  
    var postType = Wkst_GetRadioValue(document.getElementById(baseID + "_submitAction_post").name);
    
    if (postType == "ajax" && bUploadControl)
    {
        infoText.innerHTML += "You cannot have file upload controls in your form and use AJAX to submit the data.<br />" ; 
        tic_FormUtilities.ShowField(infoText);        
        retVal = false;
    }
    
    if (postType == "post" && bUploadControl && document.getElementById(baseID + "_folderUrl").value == "")
    {
        infoText.innerHTML += "It appears you have a file upload control on your form, but you have not chosen a destination folder.<br />" ; 
        tic_FormUtilities.ShowField(infoText);     
        retVal = false;   
    }

    if (postType == "remotePost" && document.getElementById(baseID + "_altURL").value == "")
    {
        infoText.innerHTML += "You must specify the Remote Post URL<br />" ; 
        tic_FormUtilities.ShowField(infoText);     
        retVal = false;   
    }
                
    return retVal ; 
}

var g_newFields = null;
function Forms_UpdateEditArea (sentArgs, data, fields)
{
    window[sentArgs.AreaID + "Data"] = data;
    document.getElementById(sentArgs.SourceID).innerHTML = data;
    if (!sentArgs.ParseFields) 
        return;
    
    g_newFields = fields;
    var emailFields = document.getElementById(sentArgs.BaseID + "_userEmailField");
    var selectedValue = emailFields.value;
    
    emailFields.options.length = 0 ;
    emailFields.options[0] = new Option("No Email Fields Available", "");
    for (var fieldName in g_newFields)
        if (g_newFields[fieldName].type == "email")
            emailFields.options[emailFields.options.length] = new Option(fieldName, fieldName);
    if (emailFields.options.length > 1)
        emailFields.options[0].text = "" ;            

    for (var ii=0 ; ii<emailFields.options.length; ++ii)
        emailFields.options[ii].selected = (emailFields.options[ii].value == selectedValue);
        
    document.getElementById(sentArgs.BaseID + "_confirmationPage").disabled = Forms_HasSubmit(sentArgs.BaseID) ;
}

function Forms_HasSubmit(baseID)
{
    if (g_newFields == null)
        return (document.getElementById(baseID + "_hasSubmit").value == "1");
        
    for (var fieldName in g_newFields)
        if (g_newFields[fieldName].type == "button")
            return true;
            
    return false;                    
}

function Forms_ExtractBlockData(areaID)
{
    return window[areaID + "Data"];
}

function FormBlock_PackageFields(baseID)
{
    if (!g_newFields && document.getElementById(baseID + "_originalFieldData"))
        return document.getElementById(baseID + "_originalFieldData").value;
    else if (!g_newFields && document.getElementById(baseID + "_originalFieldData"))
        return document.getElementById(baseID + "originalFieldData").value;
    
    var retVal = "<FormFields>";
    for (var fieldName in g_newFields)
    {
        retVal += "<Field Type='" + g_newFields[fieldName].type + "'>";
        retVal += "<Name>" + fieldName + "</Name>";
        if (g_newFields[fieldName].values && g_newFields[fieldName].values.length)
        {
            retVal += "<Values>";
            for (var ii=0 ; ii<g_newFields[fieldName].values.length; ++ii)
                retVal += "<Value>" + g_newFields[fieldName].values[ii] + "</Value>";
            retVal += "</Values>";
        }        
        retVal += "</Field>";        
    }
    
    return retVal + "</FormFields>";
}

function Forms_EditArea (baseID, areaID, title)
{
    var args = new Object();
    args.BaseID = baseID;
    args.SourceID = baseID + "_" + areaID ; 
    args.AreaID = areaID;
    args.DataFunction = Forms_ExtractBlockData;
    args.CallbackFunction = Forms_UpdateEditArea;
    
    var height = tic_Utilities.GetWindowHeight(600) - 30;
    var width = tic_Utilities.GetWindowWidth(480) - 30;
    args.MaxHeight = height;
    args.MaxWidth = width;    
    args.Title = title;
    args.CssClass = document.getElementById(baseID + "_cssClass").value;
    args.CssFiles = document.getElementById(baseID + "_cssFiles").value;
    args.DocID = document.getElementById(baseID + "_docID").value;
    args.Toolbar = (areaID == "formView")?"Forms":"Default";
    args.ParseFields = (areaID == "formView")?true:false;

    tic_RadWindowOps.DisplayDialogWithUrl2("SmallDialog", "/ContentMgmt/Blocks/FormBlock/Support/FormBlockPopupEditor.aspx?Height=" + String(height) + "&Width=" + String(width) , "500px", "395px", args, "", null, true) ;       
}


function FormBlock_GetResults(baseID, url)
{
    var reportFields = document.getElementById(baseID + "_reportFields").getAttribute("value");
    if (reportFields)
        reportFields = "&ReportFieldList=" + reportFields;
    else
        reportFields = "";
        
    tic_PageCommon.ViewExternalPage(url + "&StartDate=" + Wkst_ExtractRadCalendarValue(baseID + "_startDate") + "&EndDate=" + Wkst_ExtractRadCalendarValue(baseID + "_endDate") + reportFields) ;
}

function FormBlock_TestEmail(baseID)
{
    var args = new Object() ;
    args.SourceEmail = document.getElementById(baseID + "_sourceEmail").value ;
    args.DestEmail = document.getElementById(baseID + "_formEmail").value ;

    tic_RadWindowOps.DisplayDialogWithUrl2("SmallDialog", "/ContentMgmt/Blocks/FormBlock/Support/FormBlockEmailTest.aspx", "500px", "395px", args, "", null, true) ;       
}

function Forms_UpdateFields(sentArgs, data)
{
    var span = document.getElementById(sentArgs.SourceField);
    span.setAttribute("value", data);     
    span.innerHTML = data;   
    
    if (sentArgs.SourceField == "reportFields" && document.getElementById("reportFieldsInput"))
        document.getElementById("reportFieldsInput").setAttribute("value", data);
}

function FormBlock_FieldPicker(baseID, type)
{
    var obj = new Object();
    if (type == "email")
    {
        obj.Title = "Choose Fields for Notification Email";
        obj.SelectedFields = document.getElementById(baseID + "_fieldsToSend").getAttribute("value");
        obj.SourceField = baseID + "_fieldsToSend";
        obj.PickerType = "email";
    }
    else if (type == "results")
    {
        obj.Title = "Choose Fields for Summary Report";
        obj.SelectedFields = document.getElementById(baseID + "_reportFields").getAttribute("value");
        obj.SourceField = baseID + "_reportFields";
        obj.PickerType = "results";
    }        
    else if (type == "popup")
    {
        obj.Title = "Choose Fields for Summary Report";
        obj.SelectedFields = document.getElementById("reportFieldsInput").value;
        obj.SourceField = "reportFields";
        obj.PickerType = "results";
    }
    obj.ExistingFields = FormBlock_PackageFields(baseID);
    obj.CallbackFunction = Forms_UpdateFields;

    tic_RadWindowOps.DisplayDialogWithUrl2("Large", "/ContentMgmt/Blocks/FormBlock/Support/FieldPicker.aspx", 610, 440, obj, "", null, true);    
}

function FormBlock_SetFieldValue(sentArgs, newValue)
{
    document.getElementById(sentArgs.FollowupControl).value = newValue;
}

function FormBlock_PickUploadFolder(baseID)
{
    var obj = new Object();
    obj.SelectedItem = document.getElementById(baseID + "_folderUrl").value;
    obj.retFunction = FormBlock_SetFieldValue;
    obj.FollowupControl = baseID + "_folderUrl" ;

    tic_RadWindowOps.DisplayDialogWithUrl2("Large", "/ContentMgmt/Blocks/FormBlock/Support/ContentItemPicker.aspx?Show=ShowFoldersOnly", 500, 500, obj, "Choose Folder for Uploaded Files", null, true);    
}

function FormBlock_PickFile(baseID)
{
    var obj = new Object();
    obj.SelectedItem = document.getElementById(baseID + "_followupUrl").value;
    obj.retFunction = FormBlock_SetFieldValue;
    obj.FollowupControl = baseID + "_followupUrl" ;

    tic_RadWindowOps.DisplayDialogWithUrl2("Large", "/ContentMgmt/Blocks/FormBlock/Support/ContentItemPicker.aspx?Show=ShowAll", 500, 500, obj, "Choose Page to Display", null, true);    
}

function Forms_GetBaseID(fullID, myID) 
{
    return fullID.substring(0, fullID.indexOf(myID) - 1) ;
}


function Forms_SubmitChange(ctl, serverID)
{
    var baseID = Forms_GetBaseID(ctl.id, serverID);
    document.getElementById(baseID + "_folderUrl").disabled = true;
    document.getElementById(baseID + "_folderUrlButton").disabled = true;
    document.getElementById(baseID + "_confirmationPage").disabled = true;
    document.getElementById(baseID + "_captchaSupport").disabled = true;
    document.getElementById(baseID + "_captchaSupportPost").disabled = true;
    document.getElementById(baseID + "_altURL").disbled = true;
    document.getElementById(baseID + "_submitNotifications").style.display = "block";
    document.getElementById(baseID + "_submitUserView").style.display = "block";

    switch(ctl.value)
    {
        case "ajax":
            document.getElementById(baseID + "_confirmationPage").disabled = Forms_HasSubmit(baseID);
            if (document.getElementById(baseID + "_captchaConfigured").value == "1")
                document.getElementById(baseID + "_captchaSupport").disabled = false;
            break;
        case "post":
            if (document.getElementById(baseID + "_captchaConfigured").value == "1")
                document.getElementById(baseID + "_captchaSupportPost").disabled = false;
            document.getElementById(baseID + "_folderUrl").disabled = false;
            document.getElementById(baseID + "_folderUrlButton").disabled = false;
            break;
        case "remotePost":
            document.getElementById(baseID + "_altURL").disabled = false;
            document.getElementById(baseID + "_submitNotifications").style.display = "none";
            document.getElementById(baseID + "_submitUserView").style.display = "none";
            break;
    }
}

function Forms_SendUserEmailChanged(ctl, serverID)
{
    var baseID = Forms_GetBaseID(ctl.id, serverID);
    document.getElementById(baseID + "_userEmailField").disabled = !ctl.checked;
    document.getElementById(baseID + "_userEmailSubject").disabled = !ctl.checked;
    document.getElementById(baseID + "_confirmEmailSpan").style.display = (ctl.checked?"block":"none");
}

function Forms_PostSubmitChanged(ctl, serverID)
{
    var baseID = Forms_GetBaseID(ctl.id, serverID);
    
    document.getElementById(baseID + "_followupViewSpan").style.display = "none";
    document.getElementById(baseID + "_followupUrl").disabled = true;
    document.getElementById(baseID + "_followupUrlButton").disabled = true;
    
    switch(ctl.value)
    {
        case "text":
                document.getElementById(baseID + "_followupViewSpan").style.display = "block";
            break;
        case "page":
                document.getElementById(baseID + "_followupUrl").disabled = false ;
                document.getElementById(baseID + "_followupUrlButton").disabled = false ;
            break;
    }   
}
