<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="FormBlockEditor.ascx.cs" Inherits="NorthwoodsSoftwareDevelopment.Cms.Display.FormBlockEditor" %>

<div id="<%=this.ClientID%>" RegisterIFrame="FormBlock_RegisterIFrame" >    
    <fieldset>
        <div class="h4legend">Form Information</div>

	    <div class="fieldwrapper error" style="display:none">
		    <div class="left" >
			    <label>Error:</label>
		    </div>
		    <div class="right" >
			    <div class="checkbox_none"></div>
		        <span id="infoText" runat="server"></span>
		    </div>
		</div>
		<div class="fieldwrapper">
		    <div class="left">
			    <label>Form Name:</label>
		    </div>
		    <div class="right">
			    <div class="checkbox_none"></div>
			    <input class="textinput long" id="formName" runat="server" type="text" />
		    </div>
	    </div>
		<div class="fieldwrapper">
		    <div class="left">
			    <label>Description:</label>
		    </div>
		    <div class="right">
			    <div class="checkbox_none"></div>
			    <input class="textinput long" id="formDescription" runat="server" type="text" />
		    </div>
	    </div>
	    
	    <div class="editableArea">
            <div class="h4sublegend"><span>Form Content</span><div class="editButton"><span id="formViewSpan" runat="server" >Edit</span></div></div>	
            <div class="previewDiv" id="formView" runat="server" />    
	    </div>	    
    </fieldset>
    
    <fieldset>
        <div class="h4legend">Form Operation</div>
        
        <div class="fieldwrapper">
            <div class="left">
                <label>
                    Style
                </label>
            </div>
            <div class="right">
                <div class="checkbox_none"></div>
                <select id="xslPicker" runat="server" style="width:300px">
                </select>
            </div>
        </div>

		<div class="fieldwrapper">
		    <div class="left">
			    <label>OnLoad Function :</label> (executes on form load and can be used to prepopulate form data)
		    </div>
		    <div class="right">
			    <div class="checkbox_none"></div>
			    <input class="textinput long" id="onloadFunction" runat="server" type="text" />
		    </div>
	    </div>
        
        <div class="fieldwrapper">
            <div class="left">
                <label>Form Submission Action</label>
            </div>
            <div class="right">
                <div class="checkbox_none"></div>
                <ul class="vertical">
                    <li>
                        <input onclick="Forms_SubmitChange(this, 'submitAction_ajax')" type="radio" id="submitAction_ajax" runat="server" value="ajax" name="submitAction" />AJAX Submit (No File Submit controls can be used on your Form)<br />
                        <div style="margin-left:20px"><input type="checkbox" id="confirmationPage" runat="server" />Require User to Confirm Data</div>
                        <div style="margin-left:20px"><input type="checkbox" id="captchaSupport" runat="server" />Use Captcha</div>
                    </li>
                    <li>
                        <input onclick="Forms_SubmitChange(this, 'submitAction_post')" type="radio" id="submitAction_post" runat="server" value="post" name="submitAction" />POST to Titan
                        <div style="margin-left:20px"><input type="checkbox" id="captchaSupportPost" runat="server" />Use Captcha</div>
                        <div style="margin-left:20px;margin-top:4px">Destination Folder for any File Submit control:<br /><input type="text" id="folderUrl" class="textinput" runat="server" style="width:60%" />&nbsp;<input id="folderUrlButton" runat="server" type="button" value="Choose Folder" class="titan_button" /></div>                        
                    </li>
                    <li>
                        <input onclick="Forms_SubmitChange(this, 'submitAction_remotePost')" type="radio" id="submitAction_remotePost" runat="server" value="remotePost" name="submitAction" />POST to Remote URL (Titan will not receive data and control will transfer to remote site):<br />
                        <div style="margin-left:20px;"><input class="textinput long" id="altURL" runat="server" type="text" /></div>
                    </li>
                </ul>
            </div>
        </div>        
    </fieldset>

    <fieldset id="submitNotifications" runat="server">	    
	    <div class="h4legend">Titan Submit Notifications</div>	    

		<div class="fieldwrapper">
		    <div class="left">
			    <label>Source Email (used as the From: address)</label>
		    </div>
		    <div class="right">
			    <div class="checkbox_none"></div>
			    <input class="textinput" id="sourceEmail" runat="server" type="text" style="width:60%"/>&nbsp;<input type="button" value="Test Addresses" class="titan_button" onclick="FormBlock_TestEmail('<%=ClientID%>')" />			    
		    </div>
	    </div>
	    
		<div class="fieldwrapper">
		    <div class="left">
			    <label>Form Submit Notification (use a comma to separate multiple values):</label>
		    </div>
		    <div class="right">
			    <div class="checkbox_none"></div>
			    <input class="textinput long" id="formEmail" runat="server" type="text" />
		    </div>
	    </div>
	    
	    <div class="fieldwrapper">
	        <div class="left">
	            <label>Fields to Send</label>
	        </div>
	        <div class="right">
			    <div class="checkbox_none"></div>
	            <span id="fieldsToSend" runat="server" style="width:95%">(No fields selected)</span>
                <input type="button" value="Choose Fields" class="titan_button" style="margin-left:20px" onclick="FormBlock_FieldPicker('<%=ClientID%>', 'email')" />
	        </div>
	    </div>
    </fieldset>
    
    <fieldset id="submitUserView" runat="server">
        <div class="h4legend">Post Submit -- User View</div>
        <div class="fieldwrapper">
            <div class="left"><label>Page Display</label></div>
            <div class="right">
                <div class="checkbox_none"></div>
                <ul class="vertical">
                    <li>
                        <input onclick="Forms_PostSubmitChanged(this, 'postSubmit_text')" type="radio" id="postSubmit_text" runat="server" value="text" name="postSubmit" />Show Followup Text
	                    <div class="editableArea">
                            <div class="h4sublegend"><span>Followup Text</span><div class="editButton"><span id="followupViewSpan" runat="server" >Edit</span></div></div>	
                            <div class="previewDiv" id="followupView" runat="server" ></div>    
	                    </div>	    
                    </li>
                    <li>
                        <input onclick="Forms_PostSubmitChanged(this, 'postSubmit_page')" type="radio" id="postSubmit_page" runat="server" value="page" name="postSubmit" />Redirect to Selected Page:
                        <div style="margin-left:20px"><input type="text" id="followupUrl" runat="server" style="width:60%" class="textinput" />&nbsp;<input id="followupUrlButton" runat="server" type="button" value="Choose Page" class="titan_button" /></div>
                    </li>
                </ul>
            </div>
        </div>
        
        <div class="fieldwrapper">
            <div class="left"><label>Send Confirmation to Email</label> (*Any text fields with email verification will show in this section)</div>
            <div class="right">
                <div class="checkbox_none"></div>
                <ul class="vertical">
                    <li>
                        <input onclick="Forms_SendUserEmailChanged(this, 'sendUserEmail')" type="checkbox" id="sendUserEmail" runat="server"/>Send confirmation to email submitted by user in the field:
                    </li>                            
                    <li style="margin-left:20px">
                        <select id="userEmailField" runat="server"><option>No Email Fields Available</option></select>
                    </li>
                    <li style="margin-left:20px;margin-top:5px">
                        Email Subject:<br />
                        <input id="userEmailSubject" runat="server" type="text" style="width:80%" class="textinput" />
                    </li>
                    <li>
                        <div class="editableArea">
                            <div class="h4sublegend"><span>User Confirmation Email</span><div class="editButton"><span id="confirmEmailSpan" runat="server" >Edit</span></div></div>	
                            <div class="previewDiv" id="confirmEmail" runat="server" />    
                        </div>	    
                    </li>
                </ul>
            </div>
        </div>
    </fieldset>
    
    
    <fieldset>
        <div class="h4legend">Get Form Results</div>    
        <div class="fieldwrapper">
            <div class="left">
                <label>Report Fields:</label>
            </div>
            <div class="right">
                <div class="checkbox_none"></div>
                <span id="reportFields" runat="server" style="width:95%">(No fields selected)</span>
                <input type="button" value="Choose Fields" class="titan_button" style="margin-left:20px" onclick="FormBlock_FieldPicker('<%=ClientID%>', 'results')" /><br />
            </div>
            
        </div>
        <div class="fieldwrapper">
            <div class="left">
                <label>Start Date:</label>
            </div>
            <div class="right">
                <div class="checkbox_none"></div>     
                <div class="calendarInput">
                    <input type="text" isdate="1" value="" id="startDate" runat="server" onblur='Wkst_RadCalendarOnBlur(this)'/>
                    <div class="calendarIcon" onclick="DP_EnableCalendar('<%= startDate.ClientID %>', this, 0, 0, event)")>&nbsp;</div>
                </div>
            </div>        
        </div>                        
        <div class="fieldwrapper">
            <div class="left">
                <label>End Date:</label>
            </div>
            <div class="right">
                <div class="checkbox_none"></div>                
                <div class="calendarInput">
                    <input type="text" isdate="1" value="" id="endDate" runat="server" onblur='Wkst_RadCalendarOnBlur(this)'/>
                    <div class="calendarIcon" onclick="DP_EnableCalendar('<%= endDate.ClientID %>', this, 0, 0, event)")>&nbsp;</div>
                </div>
                <div style="margin-top:10px;margin-left:25px;float:left;width:100%;height:100px">
                    <input id="searchButton" runat="server" type="button" class="titan_button" value="Get Results" />                    
                </div>                     
            </div>   
        </div>     
        
                              
    </fieldset>
    
    <input type="hidden" id="cssClass" runat="server" />
    <input type="hidden" id="cssFiles" runat="server" />
    <input type="hidden" id="docID" runat="server" />
    <input type="hidden" id="captchaConfigured" runat="server" />
    <input type="hidden" id="originalFieldData" runat="server" />
    <input type="hidden" id="hasSubmit" runat="server" value="0"/>    
</div>
