<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output omit-xml-declaration="yes"/>
    <xsl:variable name="maxFields" select="count(/Results/Order/Field)"/>

    <xsl:template match="/">
        <xsl:choose>
            <xsl:when test="/Results/Response[Field]">
                <table border="1">
                    <thead>
                        <thead>
                            <tr>
                                <th colspan="{$maxFields + 1}">
                                    <xsl:value-of select="/Results/FormName"/>
                                </th>
                            </tr>
                            <tr>
                                <th>Date Submitted</th>
                                <xsl:apply-templates select="/Results/Order/Field" mode="header"/>
                            </tr>
                        </thead>
                    </thead>
                    <xsl:apply-templates select="/Results/Response[Field]"/>
                </table>
            </xsl:when>
            <xsl:otherwise>
                <fieldset>
                    <div class="fieldwrapper error">
                        <div class="left">
                            <label>No form data was found.</label>
                        </div>
                    </div>
                </fieldset>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="Field" mode="header">
        <th>
            <xsl:value-of select="."/>
        </th>        
    </xsl:template>

    <xsl:template match="Response">
        <tr>
            <xsl:if test="position() mod 2 = 1">
                <xsl:attribute name="class">odd</xsl:attribute>
            </xsl:if>
            <td>
                <xsl:value-of select="@Date"/>
            </td>
            <xsl:apply-templates select="/Results/Order/Field" mode="data">
                <xsl:with-param name="Data" select="." />
            </xsl:apply-templates>
        </tr>
    </xsl:template>

    <xsl:template match="Field" mode="data">
        <xsl:param name="Data" />
        <xsl:variable name="fieldName" select="." />
        <td>
            <xsl:value-of select="$Data/Field[@Name=$fieldName]"/>
        </td>
    </xsl:template>
</xsl:stylesheet>