
function SetupParameters()
{
    var myWindow = tic_RadWindowOps.GetRadWindow() ;
    var args = myWindow.Argument ;

    myWindow.SetTitle(args.Title) ;
    document.getElementById("selectedFields").value = args.SelectedFields?args.SelectedFields:"";
    document.getElementById("existingFields").value = args.ExistingFields?args.ExistingFields:"";
    document.getElementById("pickerType").value = args.PickerType;
    
    document.forms[0].submit();
}

function Close()
{
    tic_RadWindowOps.GetRadWindow().Close() ;
}


function SaveData()
{
    var selectedUL = document.getElementById("selectedFieldList") ;
    var selectedItems = selectedUL.getElementsByTagName("LI");
        
    var selected = "";        
    for (var ii=0 ; ii<selectedItems.length; ++ii)        
        selected += (selected.length?",":"") + selectedItems[ii].innerHTML;

    var args = tic_RadWindowOps.GetRadWindow().Argument ;    
    args.CallbackFunction(args, selected);

    Close();
}

function DBV_RemoveMarkers()
{
    if (!document.getElementById("selectedFieldList"))
        return;
   
    var allLIs = document.getElementById("selectedFieldList").getElementsByTagName("LI");
    for (var ii=0 ; ii<allLIs.length ; ++ii)
        if (allLIs[ii].getAttribute("marker") == "1")
        {
            allLIs[ii].parentNode.removeChild(allLIs[ii]);
            break;
        }

    allLIs = document.getElementById("availFieldList").getElementsByTagName("LI");
    for (var ii=0 ; ii<allLIs.length ; ++ii)
        if (allLIs[ii].getAttribute("marker") == "1")
        {
            allLIs[ii].parentNode.removeChild(allLIs[ii]);
            break;
        }
}

function DBV_AvailFieldSelectItem(item, evt)
{
    item = tic_Utilities.GetTargetCtl(evt);
    if (item.tagName!="LI")
        return;

    tic_Utilities.ToggleStyle(item, "select") ;            
    tic_Utilities.CancelBubble(evt);
}

function DBV_ToggleContainer(item, evt)
{
    item = tic_Utilities.GetTargetCtl(evt);
    if (item.tagName!="SPAN")
        return;

    tic_Utilities.ToggleStyle(item, "max") ;        
    tic_Utilities.CancelBubble(evt);
}

function DBV_MoveRight(dir, ctl, evt)
{
    tic_Utilities.CancelBubble(evt);
    
    var toGos = DBV_GetAvailableFieldsSelected() ;
    if (!toGos.length)
        return ;
        
    var destination = document.getElementById("selectedFieldList") ;
    for (var ii=0 ; ii<toGos.length; ++ii)
    {
        tic_Utilities.RemoveStyle(toGos[ii], "select");
        toGos[ii].style.display = "none";
        var newLI = document.createElement("LI") ;
        newLI.innerHTML = toGos[ii].innerHTML ;
        destination.appendChild(newLI) ;        
    }
}

function DBV_MoveLeft(dir, ctl, evt)
{
    var hiddenAvailables = DBV_GetHiddenAvailables();
    var selectedSelecteds = DBV_GetSelectedSelectedFields();
    
    for(var ii=0; ii<selectedSelecteds.length ; ++ii)
    {
        DBV_MakeAvailable(hiddenAvailables, selectedSelecteds[ii].innerHTML);
        selectedSelecteds[ii].parentNode.removeChild(selectedSelecteds[ii]);
    }

    tic_Utilities.CancelBubble(evt);
}

function DBV_MakeAvailable(hiddenAvailables, columnName)
{
    for (var ii=0 ; ii<hiddenAvailables.length ; ++ii)
        if (hiddenAvailables[ii].innerHTML == columnName)
            hiddenAvailables[ii].style.display = "block";
}

function DBV_SortUp(ctl, evt)
{
    tic_Utilities.CancelBubble(evt);

    var selectedItems = DBV_GetSelectedSelectedFields();
    if (selectedItems.length != 1)
        return;
        
    var moveMe = selectedItems[0];        
    var allKids = document.getElementById("selectedFieldList").getElementsByTagName("LI");
    for (var ii=0; ii<allKids.length; ++ii)
    {
        if (allKids[ii] == moveMe && ii > 0)
        {
            allKids[ii].parentNode.insertBefore(allKids[ii], allKids[ii-1])
            return;
        }
        if (allKids[ii] == moveMe)
            return;                    
    }
}

function DBV_SortDown(ctl, evt)
{
    tic_Utilities.CancelBubble(evt);

    var selectedItems = DBV_GetSelectedSelectedFields();
    if (selectedItems.length != 1)
        return;

    var moveMe = selectedItems[0];        
    var allKids = document.getElementById("selectedFieldList").getElementsByTagName("LI");
    for (var ii=0; ii<allKids.length; ++ii)
    {
        if (allKids[ii] == moveMe && ii < allKids.length)
        {
            allKids[ii].parentNode.insertBefore(allKids[ii], (ii>=(allKids.length-2))?null:allKids[ii+2]);
            return;
        }
        
        if (allKids[ii] == moveMe)
            return ;
    }
}

function DBV_SelectedFieldSelectItem(item, evt)
{
    item = tic_Utilities.GetTargetCtl(evt);
    if (item.tagName!="LI" || item.getAttribute("marker") == "1")
        return;
        
    tic_Utilities.ToggleStyle(item, "select") ;            
    tic_Utilities.CancelBubble(evt);
}

function DBV_GetSelectedSelectedFields()
{
    var retVal = new Array();

    var marker = null;    
    var allLIs = document.getElementById("selectedFieldList").getElementsByTagName("LI") ;
    for (var ii=0 ; ii<allLIs.length; ++ii)
        if (tic_Utilities.HasStyle(allLIs[ii], "select"))
            retVal[retVal.length] = allLIs[ii];            
    
    return retVal;
}

function DBV_GetAvailableFieldsSelected()
{
    var retVal = new Array();
    
    var allLIs = document.getElementById("availFieldList").getElementsByTagName("LI");
    for (var ii=0 ; ii<allLIs.length ; ++ii)
        if (tic_Utilities.HasStyle(allLIs[ii], "select"))
            retVal[retVal.length] = allLIs[ii];
            
    return retVal;            
}

function DBV_GetHiddenAvailables()
{
    var retVal = new Array();
    
    var allLIs = document.getElementById("availFieldList").getElementsByTagName("LI");
    for (var ii=0 ; ii<allLIs.length ; ++ii)
        if (allLIs[ii].parentNode.parentNode.tagName == "LI" &&
            allLIs[ii].style.display == "none")
            retVal[retVal.length] = allLIs[ii];
                    
    return retVal;            
}

















