﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="msxsl">
    <xsl:output method="xml" indent="yes"/>

    <xsl:param name="PickerType" />
    
    <xsl:template match="/">
        <div class="TTEditView">
            <xsl:choose>
                <xsl:when test="/Data/FormFields/Field">
                    <div class="titan_ui_alert" style="display:none">
                        <p>
                            Choose the fields you require from the list on the left.
                        </p>
                        <p>
                            Use the arrows on the right to modfiy the order in which the fields will appear.
                        </p>
                    </div>
                </xsl:when>
                <xsl:otherwise>
                    <div class="titan_ui_error">
                        <p>
                            No form fields are available yet for selection.  
                        </p>
                        <p>
                            If this is an upgraded block, you must edit your form before proceeding.
                        </p>
                    </div>
                </xsl:otherwise>
            </xsl:choose>
            <div class="TTSelections" >
                <div class="TTAllFields">
                    <div class="h4">
                        All Fields
                    </div>
                    <ul id="availFieldList" class="TTListing" onclick="DBV_ToggleContainer(this, event)">
                        <li>
                            <span>Form Fields</span>
                            <ul onclick="DBV_AvailFieldSelectItem(this, event)" ondblclick="DBV_MoveRight(this, event)">
                                <xsl:apply-templates select="/Data/FormFields/Field" >
                                    <xsl:sort order="ascending"/>
                                </xsl:apply-templates>
                                <li marker="1">&#160;</li>
                            </ul>                                
                        </li>
                        <li>
                            <span>System Fields</span>
                            <ul onclick="DBV_AvailFieldSelectItem(this, event)" ondblclick="DBV_MoveRight(this, event)">
                                <li><xsl:if test="/Data[Selected/Field = 'ClientIP']">
                                        <xsl:attribute name="style">display:none</xsl:attribute>
                                    </xsl:if>ClientIP</li>
                                <li><xsl:if test="/Data[Selected/Field = 'SessionID']">
                                        <xsl:attribute name="style">display:none</xsl:attribute>
                                    </xsl:if>SessionID</li>
                                <li><xsl:if test="/Data[Selected/Field = 'SourceDocID']">
                                        <xsl:attribute name="style">display:none</xsl:attribute>
                                    </xsl:if>SourceDocID</li>
                                <xsl:if test="$PickerType = 'results'">
                                    <li><xsl:if test="/Data[Selected/Field = 'SourcePageName']">
                                        <xsl:attribute name="style">display:none</xsl:attribute>
                                    </xsl:if>SourcePageName</li>
                                    <li><xsl:if test="/Data[Selected/Field = 'Version']">
                                            <xsl:attribute name="style">display:none</xsl:attribute>
                                        </xsl:if>Version</li>
                                </xsl:if>
                            </ul>
                        </li>
                    </ul>
                </div>
                <div class="arrowsColumn">
                    <img src="/css/images/workarea/content/arrow_right.png" onclick="DBV_MoveRight(this, event)"/>
                    <img src="/css/images/workarea/content/arrow_left.png" onclick="DBV_MoveLeft(this, event)"/>
                </div>
                <div class="TTSelectedFields">
                    <div class="h4">
                        Selected Fields
                    </div>
                    <ul id="selectedFieldList" class="TTListing" onclick="DBV_SelectedFieldSelectItem(this, event)" ondblclick="DBV_MoveLeft(this, event)">
                        <xsl:apply-templates select="/Data/Selected/Field" mode="usedFields"/>
                        <xsl:if test="not(/Data/Selected/Field)">
                            <li marker="1">&#160;</li>
                        </xsl:if>
                    </ul>
                </div>
                <div class="arrowsColumn">
                    <img src="/css/images/workarea/content/arrow_up.png" onclick="DBV_SortUp(this, event)"/>
                    <img src="/css/images/workarea/content/arrow_down.png" onclick="DBV_SortDown(this, event)"/>
                </div>
            </div>
        </div>
    </xsl:template>

    <xsl:template match="Field" mode="usedFields">
        <li >
            <xsl:value-of select="."/>
        </li>
    </xsl:template>

    <xsl:template match="Field">
        <xsl:variable name="colName" select="Name"/>
        <li title="Control Type: {@Type}">
            <xsl:if test="/Data[Selected/Field = $colName]">
                <xsl:attribute name="style">display:none</xsl:attribute>
            </xsl:if>
            <xsl:value-of select="Name"/>
        </li>
    </xsl:template>

</xsl:stylesheet>
