
function DoClose(bSuccess)
{
    tic_RadWindowOps.GetRadWindow().Close() ;                
}

function GetWindowArgs()
{
    var myWindow = tic_RadWindowOps.GetRadWindow() ;        
    if (!myWindow || !myWindow.Argument)
        return ;
        
    return myWindow.Argument;        
}

var g_editorID = null;
function FinalizeEditor()
{
    
    var args = GetWindowArgs();
    if (!args)
        return;
        
    tic_RadWindowOps.GetRadWindow().SetTitleAndCancel(args.Title, true);         
    tic_RadWindowOps.GetRadWindow().SetSize(args.MaxWidth, args.MaxHeight);            
    
    document.getElementById("waitDiv").style.display = "none";
    document.getElementById("bodyTag").className = "dialog_input";
    document.getElementById("editorDiv").style.display = "block";

    SetData();
}

function SetData()
{
    if (!CK_EditorSupport.EditorIsReady('editor_freeform'))
        return window.setTimeout(SetData, 50);

    var args = GetWindowArgs();
    var data = args.DataFunction(args.AreaID);
    CK_EditorSupport.SetData('editor_freeform', data);
}


function SendInitData()
{
    var args = GetWindowArgs();
    
    document.getElementById("dialogHeight").value = args.MaxHeight;
    document.getElementById("dialogWidth").value = args.MaxWidth;
    document.getElementById("cssClass").value = args.CssClass;
    document.getElementById("cssFiles").value = args.CssFiles;
    document.getElementById("docID").value = args.DocID;
    document.getElementById("toolbar").value = args.Toolbar;
    
    document.forms[0].submit();
}

function internal_ParseFormName(id)
{
    if (!id || id.length < 9 || id.indexOf("cmsForm") != 0)
        return null ;
        
    return id.substring(9, id.length);
}

function internal_GetControlInfo(ctlArray, ctl)
{        
    var name = internal_ParseFormName(ctl.id);
    if (!name)
        return null;
        
    var altName = internal_ParseFormName(ctl.name);
    if (altName)
        name = altName;

    var elementInfo = ctlArray[name] ;
    if (elementInfo)
        return elementInfo;
        
    elementInfo = {type: ctl.type, values:[]};
    ctlArray[name] = elementInfo;
    
    return elementInfo;
}

function Send()
{
    if (!CK_EditorSupport.EditorIsReady('editor_freeform'))
        return window.alert('Please wait until the editor completes loading');
    if (!CK_EditorSupport.EditorCanSave('editor_freeform'))    
        return window.alert('Save cannot be performed in Source mode');    
        
    var args = GetWindowArgs();
    if (!args)
        return;
        
    var data = CK_EditorSupport.ExtractData('editor_freeform');   
    if (!args.ParseFields)
    {
        args.CallbackFunction(args, data);
        DoClose();
    }        
    
    var controls = [] ;
    var editor = CKEDITOR.instances['editor_freeform'];
    editor.setMode('wysiwyg'); 
    var ctls = editor.document.$.getElementsByTagName("INPUT");
    for (var ii=0 ; ii<ctls.length ; ++ii)
    {
        var ctl = ctls[ii];
        var elementInfo = internal_GetControlInfo(controls, ctl);   
        if (!elementInfo)
            continue;     
            
        if (ctl.type == "text" && ctl.getAttribute("validationType") == "Email")
            elementInfo.type = "email";
            
        if (ctl.type == "radio")
            elementInfo.values[elementInfo.values.length] = ctl.value ;                
    }
    
    var ctls = editor.document.$.getElementsByTagName("TEXTAREA");
    for (var ii=0 ; ii<ctls.length ; ++ii)
    {
        var ctl = ctls[ii];
        var elementInfo = internal_GetControlInfo(controls, ctl);    
        if (!elementInfo)
            continue;    
        elementInfo.type = "longtext" ;   
    } 
    
    var ctls = editor.document.$.getElementsByTagName("SELECT");
    for (var ii=0 ; ii<ctls.length ; ++ii)
    {
        var ctl = ctls[ii];
        var elementInfo = internal_GetControlInfo(controls, ctl);        
        if (!elementInfo)
            continue;
        if (!ctl.getAttribute("rows") || ctl.getAttribute("rows") == "1")
            elementInfo.type = "dropdown";
        else if (ctl.getAttribute("multiple"))
            elementInfo.type = "multilist";
        else 
            elementInfo.type = "singlelist";

        var options = ctl.options ;
        for (var jj=0 ; jj<options.length ; ++jj)
            elementInfo.values[elementInfo.values.length] = options[jj].value;       
    }  
    
    args.CallbackFunction(args, data, controls);    
    DoClose();
}

