<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" omit-xml-declaration="yes" indent="no" />
    
    <xsl:template match="/" mode="FormatEmail">
        <xsl:param name="ResultsLink"/>
        <table>
            <!-- This just takes all the values in the order they came in and outputs them -->
            <xsl:apply-templates select="/*/*[@EmailField=1]">
                <xsl:sort select="@SortOrder" data-type="number"/>
            </xsl:apply-templates>
            
            <!-- If we wanted a specific order, then we'd instead process each field we want
            <tr>
                <td>
                    <b>Address: </b>
                </td>
                <td>
                    <xsl:value-of select="/*/CAdd"/>
                </td>
            </tr -->
            
        </table>

        <a href="{$ResultsLink}">See Current Results</a>
    </xsl:template>

    <xsl:template match="/*/*" >
        &#013;
        <tr>
            <td>
                <b><xsl:value-of select="name()"/>:&#160;</b>
            </td>
            <td>
                <xsl:value-of select="."/>
            </td>
        </tr>
    </xsl:template>

    <!-- If we want nicer formatting for a single input value: -->
    <xsl:template match="/*/CAdd">
        <tr>
            <td>
                <b>Address: </b>
            </td>
            <td>
                <xsl:value-of select="."/>
            </td>
        </tr>
    </xsl:template>


    <!-- These control names are part of the rest of the page and we don't care about them -->
    <xsl:template match="/*/keywords|/*/_ctl0_login_userName|/*/_ctl0_login_userPassword"/>

</xsl:stylesheet>

  