<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="2.1" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
                xmlns:ms="urn:schemas-microsoft-com:xslt"
                exclude-result-prefixes="msxsl ms">
    <xsl:output method="xhtml" omit-xml-declaration="yes" indent="no" />

    <xsl:param name="StyleNode" />
    <xsl:param name="NextState"/>
    <xsl:param name="ResultsLink" />
    <xsl:param name="CaptchaData" />
    <xsl:param name="CaptchaActive" select="0"/>
    <xsl:param name="DocID" />
    <xsl:param name="SourceDocID" />
    <xsl:param name="HoneypotName" />
    <xsl:param name="FormData" />

    <xsl:include href="DefaultDisplayInclude.xsl"/>
    <xsl:include href="DefaultEmailInclude.xsl"/>

    <xsl:template match="/">
        <xsl:choose>
            <xsl:when test="$NextState='Email'">
                <xsl:apply-templates select="." mode="FormatEmail">
                    <xsl:with-param name="ResultsLink" select="$ResultsLink"/>
                </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$NextState='Workstation'">
                <input type="hidden" name="cmsFormsControl_ProcessingState" id="cmsFormsControl_ProcessingState" value="{$NextState}" />
                <xsl:apply-templates select="." mode="WorkstationView"/>
            </xsl:when>
            <xsl:when test="$NextState='Entry' or $NextState='Restart'">
                <input type="hidden" name="cmsFormsControl_ProcessingState" id="cmsFormsControl_ProcessingState" value="{$NextState}" />
                <xsl:apply-templates select="." mode="EditForm">
                    <xsl:with-param name="CaptchaData" select="$CaptchaData" />
                    <xsl:with-param name="CaptchaActive" select="$CaptchaActive" />
                    <xsl:with-param name="DocID" select="$DocID" />
                    <xsl:with-param name="SourceDocID" select="$SourceDocID" />
                    <xsl:with-param name="HoneypotName" select="$HoneypotName" />
                </xsl:apply-templates>
            </xsl:when>
        </xsl:choose>
    </xsl:template>


</xsl:stylesheet>